From 14bd5cf2a3f8673fdd4930b5d8840559802a9feb Mon Sep 17 00:00:00 2001
From: Vignesh C <vignesh21@gmail.com>
Date: Fri, 25 Aug 2023 15:43:19 +0530
Subject: [PATCH] Add logs to skip transaction/filter insert operation.

Add logs to skip transaction/filter insert operation.
---
 src/backend/replication/logical/snapbuild.c | 2 ++
 src/backend/replication/pgoutput/pgoutput.c | 4 ++++
 2 files changed, 6 insertions(+)

diff --git a/src/backend/replication/logical/snapbuild.c b/src/backend/replication/logical/snapbuild.c
index 843ceba840..6aad93bc2a 100644
--- a/src/backend/replication/logical/snapbuild.c
+++ b/src/backend/replication/logical/snapbuild.c
@@ -433,6 +433,8 @@ SnapBuildSetTwoPhaseAt(SnapBuild *builder, XLogRecPtr ptr)
 bool
 SnapBuildXactNeedsSkip(SnapBuild *builder, XLogRecPtr ptr)
 {
+	if (ptr < builder->start_decoding_at)
+		elog (LOG, "Skipping transaction %X/%X as start decode at is greater %X/%X", LSN_FORMAT_ARGS(ptr), LSN_FORMAT_ARGS(builder->start_decoding_at));
 	return ptr < builder->start_decoding_at;
 }
 
diff --git a/src/backend/replication/pgoutput/pgoutput.c b/src/backend/replication/pgoutput/pgoutput.c
index b08ca55041..61ac1e6a20 100644
--- a/src/backend/replication/pgoutput/pgoutput.c
+++ b/src/backend/replication/pgoutput/pgoutput.c
@@ -1431,7 +1431,11 @@ pgoutput_change(LogicalDecodingContext *ctx, ReorderBufferTXN *txn,
 	{
 		case REORDER_BUFFER_CHANGE_INSERT:
 			if (!relentry->pubactions.pubinsert)
+			{
+				elog(LOG, "Filter insert for table %s", RelationGetRelationName(relation));
 				return;
+			}
+				
 			break;
 		case REORDER_BUFFER_CHANGE_UPDATE:
 			if (!relentry->pubactions.pubupdate)
-- 
2.34.1

